Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.status
Class Status

    java.lang.Object
      com.stc.connector.hl7.framework.status.Status

    public class Status

extends java.lang.Object

This class represents a set of states of the processing data.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2005/09/03 06:28:35 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`Status()`

Method Summary
`java.lang.String` | `getDescription()` Returns the description.
`boolean` | `getMarshalCalled()` Returns the marshalCalled.
`boolean` | `getUnmarshalCalled()` Returns the unmarshalCalled.
`boolean` | `getValidateCalled()` Returns the validateCalled.
`boolean` | `isMarshalCalled()` Returns the marshalCalled.
`boolean` | `isUnmarshalCalled()` Returns the unmarshalCalled.
`boolean` | `isValidateCalled()` Returns the validateCalled.
`void` | `setDescription(java.lang.String description)` Sets the description.
`void` | `setMarshalCalled(boolean marshalCalled)` Sets the marshalCalled.
`void` | `setUnmarshalCalled(boolean unmarshalCalled)` Sets the unmarshalCalled.
`void` | `setValidateCalled(boolean validateCalled)` Sets the validateCalled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### Status

    public Status()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the description.

  Returns:
    String

### getMarshalCalled

    public boolean getMarshalCalled()

  Returns the marshalCalled.

  Returns:
    boolean

### getUnmarshalCalled

    public boolean getUnmarshalCalled()

  Returns the unmarshalCalled.

  Returns:
    boolean

### getValidateCalled

    public boolean getValidateCalled()

  Returns the validateCalled.

  Returns:
    boolean

### isMarshalCalled

    public boolean isMarshalCalled()

  Returns the marshalCalled.

  Returns:
    boolean

### isUnmarshalCalled

    public boolean isUnmarshalCalled()

  Returns the unmarshalCalled.

  Returns:
    boolean

### isValidateCalled

    public boolean isValidateCalled()

  Returns the validateCalled.

  Returns:
    boolean

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description.

  Parameters:
    `description` - The description to set

### setMarshalCalled

    public void setMarshalCalled(boolean marshalCalled)

  Sets the marshalCalled.

  Parameters:
    `marshalCalled` - The marshalCalled to set

### setUnmarshalCalled

    public void setUnmarshalCalled(boolean unmarshalCalled)

  Sets the unmarshalCalled.

  Parameters:
    `unmarshalCalled` - The unmarshalCalled to set

### setValidateCalled

    public void setValidateCalled(boolean validateCalled)

  Sets the validateCalled.

  Parameters:
    `validateCalled` - The validateCalled to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD